Skip to main content
POST
Get Upload Url

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
X-API-Key
string | null

Path Parameters

experiment_id
string<uuid>
required

Body

application/json

Request for a presigned upload URL.

content_hash
string
required

Client-side content hash for deduplication and verification

Required string length: 1 - 128
content_type
string
required

MIME type of the file

Example:

"audio/mpeg"

filename
string
required

Original filename

Required string length: 1 - 255
idempotency_key
string
required

Stable key used to replay upload signing safely

Required string length: 1 - 255
size_bytes
integer
required

Declared byte size, required before upload signing

Required range: x >= 0

Response

Successful Response

Response with presigned upload URL.

expires_in
integer
required

Seconds until the upload URL expires

file_path
string
required

Path where the file will be stored (use this when creating the sample)

upload_url
string
required

Presigned URL for uploading the file

bucket
string | null

Storage bucket used in TUS metadata

resumable_url
string | null

TUS endpoint for resumable uploads

upload_token
string | null

Signed token supplied as x-signature to the TUS endpoint